Bug 119037 - specifying selinux=0 causes panic: attempt to kill init
specifying selinux=0 causes panic: attempt to kill init
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sysvinit (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: Security
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-03-23 23:36 EST by G.Wolfe Woodbury
Modified: 2014-03-16 22:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-06 20:55:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2004-03-23 23:36:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
After installing from development allowing selinux to operate, trying
to boot with selinux=0 leads to a kernel "panic:attempted to kill init"


Version-Release number of selected component (if applicable):
2.6.3-2.1.253.2.1

How reproducible:
Always

Steps to Reproduce:
1. install from development tree alowing selinux in firewall screen
2. boot normally
3. reboot with "selinux=0"
    

Actual Results:  Kernel panic noting an attempt to kill init

Expected Results:  normal operation

Additional info:
Comment 1 Bill Nottingham 2004-03-24 00:28:24 EST
Please try SysVinit-2.85-22.
Comment 2 G.Wolfe Woodbury 2004-03-27 03:39:04 EST
will test saturday am.  was waiting form mirror to get 2.85-22.
Comment 3 G.Wolfe Woodbury 2004-03-28 01:25:49 EST
Still happening.  Last two lines of screen display:

Enforcing mode requested, no policy loaded, Halting now.
Kernel panic: attempted to kill init

This is with SysVinit-2.85-22
Comment 4 Bill Nottingham 2004-03-28 22:50:58 EST
Please attach /etc/sysconfig/selinux, thanks!
Comment 5 G.Wolfe Woodbury 2004-03-29 05:37:20 EST
[root@tembo sysconfig]# cat selinux
SELINUX=enforcing
[root@tembo sysconfig]#

Comment 6 G.Wolfe Woodbury 2004-04-06 20:55:48 EDT
Under enforcing mode kernel-2.6.4-1.305, policy-1.9.2-12 and
SysVinit-2.85-23 this problem does not occur.

Will close bug with RAWHIDE status.
Comment 7 David Lawrence 2007-06-21 22:10:52 EDT
Package name is now sysvinit in Fedora.

Note You need to log in before you can comment on or make changes to this bug.